claw::graph< S, A, Comp >::graph_edge_iterator::edge Class Reference

Value pointed by the iterator. More...

`#include <graph.hpp>`

## Public Member Functions

const edge_type & | label () const
const vertex_type & | source () const
const vertex_type & | target () const

## Friends

class | graph_edge_iterator

## Detailed Description

template<class S, class A = meta::no_type, class Comp = std::less<S>>
class claw::graph< S, A, Comp >::graph_edge_iterator::edge

Value pointed by the iterator.

Definition at line 153 of file graph.hpp.

## Friends And Related Symbol Documentation

## graph_edge_iterator

template<class S, class A = meta::no_type, class Comp = std::less<S>>

friend class graph_edge_iterator

friend

Definition at line 155 of file graph.hpp.

The documentation for this class was generated from the following file:

- graph.hpp